Bug 170384 - Review request: perl-DBIx-DBSchema - Database-independent schema objects
Review request: perl-DBIx-DBSchema - Database-independent schema objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/~ivan/DBIx-DBS...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-11 04:43 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-06 02:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-10-11 04:43:19 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-DBIx-DBSchema.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-DBIx-DBSchema-0.27-1.src.rpm

Description:
DBIx::DBSchema objects are collections of DBIx::DBSchema::Table objects and
represent a database schema.

This module implements an OO-interface to database schemas. Using this module,
you can create a database schema with an OO Perl interface. You can read the
schema from an existing database. You can save the schema to disk and restore
it a different process. Most importantly, DBIx::DBSchema can write SQL CREATE
statements statements for different databases from a single source.

Currently supported databases are MySQL and PostgreSQL.
Comment 1 Ralf Corsepius 2005-10-11 04:48:30 EDT
Note:
This package is an optional dependency of upstream perl-DBIx-SearchBuilder
(DBIx::SearchBuilder > 1.27) and thereby an implicit/indirect, optional
dependency of rt3.
Comment 2 Paul Howarth 2005-10-20 07:49:16 EDT
Review:

- rpmlint clean ????

- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Suggestions:

- Buildreq perl(DBD::Pg) >= 1.32 will need changing to perl-DBD-Pg >= 1.32 for
  rawhide due to Bug 167797, at least until that bug is fixed

- Might http://search.cpan.org/dist/DBIx-DBSchema/ be a better URL than
  http://search.cpan.org/~ivan/DBIx-DBSchema-%{version}/ ?

Approved.
Comment 3 Ralf Corsepius 2005-10-20 08:08:00 EDT
> Buildreq perl(DBD::Pg) >= 1.32 will need changing to perl-DBD-Pg >= 1.32 for
>  rawhide due to Bug 167797, at least until that bug is fixed

I am not going to apply this hack, because I don't want to spoil my specs
because of bugs in FC, RH seems to be unable to fix.

As this package is an optional dependency for other packages, I can wait until
the origin of the problem is fixed.
Comment 4 Ralf Corsepius 2005-11-06 02:47:56 EST
(In reply to comment #2)
> - Buildreq perl(DBD::Pg) >= 1.32 will need changing to perl-DBD-Pg >= 1.32 for
>   rawhide due to Bug 167797, at least until that bug is fixed
Issue has been resolved.

> - Might http://search.cpan.org/dist/DBIx-DBSchema/ be a better URL than
>   http://search.cpan.org/~ivan/DBIx-DBSchema-%{version}/ ?
Applied.

> Approved.
Thanks
 
Package has been built for devel, branch request for FC-4 is pending.

Note You need to log in before you can comment on or make changes to this bug.